DistributionRandomWalk< Distribution > Class Template Reference

Distribution Walk. More...

`#include <ql/experimental/math/fireflyalgorithm.hpp>`

Inheritance diagram for DistributionRandomWalk< Distribution >:
[legend]

## Public Types

typedef IsotropicRandomWalk< Distribution, base_generator_type > | WalkRandom

## Public Member Functions

| DistributionRandomWalk (Distribution dist, Real delta=0.9, unsigned long seed=SeedGenerator::instance().get())
Public Member Functions inherited from FireflyAlgorithm::RandomWalk
void | walk ()
| perform random walk

## Protected Member Functions

void | walkImpl (Array &xRW)
void | init (FireflyAlgorithm *fa)

## Protected Attributes

WalkRandom | walkRandom_
Real | delta_
Protected Attributes inherited from FireflyAlgorithm::RandomWalk
Size | Mfa_
Size | N_
const std::vector< Array > * | x_
const std::vector< std::pair< Real, Size > > * | values_
std::vector< Array > * | xRW_
Array * | lX_
Array * | uX_

## Detailed Description

### template<class Distribution>
class QuantLib::DistributionRandomWalk< Distribution >

Distribution Walk.